[Lunar-commits] <lunar> lin: drop the 'smart' downloader code.
Auke Kok
sofar at foo-projects.org
Sun Jan 29 04:57:58 CET 2012
commit b697f98ece9c2b2513b42da2181ae965bc3fcf31
Author: Auke Kok <sofar at foo-projects.org>
Date: Sat Jan 28 19:57:58 2012 -0800
lin: drop the 'smart' downloader code.
This code suffers horribly from the size of moonbase and can take minutes
easily when doing a lunar update, even on my i7 extreme.
Disable it for now, the penalty of having to download modules later on is
by far not as bad as this overall hit on every module install.
---
sbin/lin | 10 +++++++---
1 files changed, 7 insertions(+), 3 deletions(-)
diff --git a/sbin/lin b/sbin/lin
index 26d10f1..5fcba80 100755
--- a/sbin/lin
+++ b/sbin/lin
@@ -103,9 +103,13 @@ main() {
# this runs as a background process, so we are off to step #3 right away
if [ -z "$DEPS_ONLY" ] ; then
verbose_msg "Spawning download manager"
- for M in $MODULES ; do
- LIST="$(for D in `find_depends $M`; do if ! module_installed $D ; then echo $D ; fi ; done | uniq) $LIST"
- done
+
+ # this code hurts more than it helps - it can stall forever (minutes)
+ # even when just linning 2-3 modules
+ # for M in $MODULES ; do
+ # LIST="$(for D in `find_depends $M`; do if ! module_installed $D ; then echo $D ; fi ; done | uniq) $LIST"
+ # done
+
verbose_msg "download queue: $LIST $MODULES"
for M in $LIST $MODULES; do
THIS_TEMP=$(temp_create "$M.download.log")
More information about the Lunar-commits
mailing list